Skip to main content
POST
/
chat
/
completions
Create chat completion with Qwen 32B
curl --request POST \
  --url https://api.simplismart.live/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "RedHatAI/QwQ-32B-FP8-dynamic",
  "messages": [
    {
      "role": "system",
      "content": "Act as a helpful assistant to the user"
    },
    {
      "role": "user",
      "content": "Give me a travel itinerary for a 7-day trip to Japan"
    }
  ],
  "stream": false,
  "temperature": 0.7,
  "max_tokens": 1024,
  "top_p": 0.9,
  "stop": null
}
'
import requests

url = "https://api.simplismart.live/chat/completions"

payload = {
"model": "RedHatAI/QwQ-32B-FP8-dynamic",
"messages": [
{
"role": "system",
"content": "Act as a helpful assistant to the user"
},
{
"role": "user",
"content": "Give me a travel itinerary for a 7-day trip to Japan"
}
],
"stream": False,
"temperature": 0.7,
"max_tokens": 1024,
"top_p": 0.9,
"stop": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'RedHatAI/QwQ-32B-FP8-dynamic',
messages: [
{role: 'system', content: 'Act as a helpful assistant to the user'},
{role: 'user', content: 'Give me a travel itinerary for a 7-day trip to Japan'}
],
stream: false,
temperature: 0.7,
max_tokens: 1024,
top_p: 0.9,
stop: null
})
};

fetch('https://api.simplismart.live/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "choices": [
    {
      "delta": {
        "content": "<string>"
      },
      "index": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Body

application/json
messages
object[]
required

Array of messages in the conversation

model
enum<string>
default:RedHatAI/QwQ-32B-FP8-dynamic
required

Model identifier

Available options:
RedHatAI/QwQ-32B-FP8-dynamic
stream
boolean
default:false

Whether to stream the response

temperature
number
default:0.7

Sampling temperature

Required range: 0 <= x <= 2
max_tokens
integer
default:1024

Maximum number of tokens to generate

Required range: 1 <= x <= 4096
top_p
number
default:0.95

Nucleus sampling parameter

Required range: 0 <= x <= 1
stop
string[] | null

Sequences where the API will stop generating

Response

Successful chat completion

id
string

Unique identifier for the completion

choices
object[]